//
//  BsAllApiName.swift
//  BaiSiSMApp
//
//  Created by davidhuang on 2024/01/04.
//  Copyright © 2024 www.davidhuang.com. All rights reserved.
//


class YHAllApiName {
    //接口 模块名 Common
    struct Common {
        //具体的业务接口
        
        //首页配置接口
        static let homeConfigApi = "common/homepage-config/index"
    }
    
    //order 模块
    struct Order {
        //合同列表
//        static let contractListApi = "frontend/order/list"
        static let contractListApi = "infoflow/order/list"
        
        
        //合同填写进度
//        static let contractStatusApi = "frontend/order/progress"
        static let contractStatusApi = "infoflow/order/progress"
        
        //信息表的填写进度
//        static let informationStepApi = "frontend/order/information/step"
        static let informationStepApi = "infoflow/order/information/step"
        
        
        
        //我的评分结果
        static let scoreDetailApi = "frontend/order-assessment/score_detail"
        
        //获取其他资料填写信息
//        static let otherInfoFillApi = "frontend/order/getOrderOtherInformation"
        static let otherInfoFillApi = "infoflow/order/getOrderOtherInformation"
        //保存其他资料信息
//        static let  updateOtherInfoApi = "frontend/order/updateOrderOtherInformation"
        static let  updateOtherInfoApi = "infoflow/order/updateOrderOtherInformation"
        
    }
    
    struct Family {
        // 获取家庭成员信息 添加家庭成员也用这个
        static let familyInfoApi = "frontend/order/information/family"
        // 删除家庭成员信息
        static let familyMemberDeleteApi = "frontend/order/information/family/delete"
        
    }
    
    struct Education {
        // 获取教育和专业资格列表
//        static let getEducationAndQulificationInfoApi = "frontend/education/list"
        static let getEducationAndQulificationInfoListApi = "infoflow/getEducationList"

        // 获取学历详情信息
//        static let getEducationDetailInfoApi = "frontend/education/detail"
        static let getEducationDetailInfoApi = "infoflow/getEducationDetail"

        // 保存学历信息
//        static let saveEducationInfoApi = "frontend/education/save"
        static let saveEducationInfoApi = "infoflow/saveEducationData"

        // 删除学历
        static let deleteEducationInfoApi = "frontend/education/del"
        // 保存所有信息
//        static let saveAllEduAndQuaInfoApi = "frontend/education/save_all"
        static let saveAllEduAndQuaInfoApi = "infoflow/submitEducert"

    }
    
    struct Qualification {
        // 获取学历详情信息
//        static let getQualificationDetailInfoApi = "frontend/qualification/detail"
        static let getQualificationDetailInfoApi = "infoflow/getQuaDetail"
        // 删除专业
        static let deleteQualificationInfoApi = "frontend/qualification/del"
        // 保存专业详情
//        static let saveQualificationInfoApi = "frontend/qualification/save"
        static let saveQualificationInfoApi =  "infoflow/saveQualification"

    }
    
    //Users
    struct Users {
        //提交 温馨提示信息
//        static let submitSweetNotifyApi = "frontend/users/sweet-notify/submit"
        static let submitSweetNotifyApi = "infoflow/users/sweet-notify/submit"
    }
    
    
    
    //Basics
    struct Basics {
        //获取 基本资料信息
//        static let basicInfoApi = "frontend/basics/get_basics"
        static let basicInfoApi = "infoflow/basics/get_basics"
        
        //保存基本资料信息
//        static let  updateBasicInfoApi = "frontend/basics/update_basics"
        static let  updateBasicInfoApi = "infoflow/basics/update_basics"
    }
    
    struct OrderInformation {
        //主申请人获取信息
        static let getInformation = "infoflow/order-information/get_information"
        // 主申请人信息更新
        static let updateInformation = "infoflow/order-information/update_information"
        // 主申请人国家信息
        static let countryInformation = "infoflow/country"
    }
}
